      subroutine ranmar2(xr) ! bernd berg dec 18 2004.
c combines two marsaglia random numbers to reduce discretization.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      parameter(xmin=one/two**24)
      xr=rmafun()+xmin*rmafun() 
      return
      end
